Issue1222918

classification
Title: -C NONE causes exception
Type: Severity: normal
Components: Jythonc compiler Versions:
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: kzuberi, pjenvey
Priority: low Keywords:

Created on 2005-06-17.21:28:14 by anonymous, last changed 2008-11-23.05:08:29 by pjenvey.

Files
File name Uploaded Description Edit Remove
main.py.patch nobody, 2005-06-17.21:28:14 Patch file for reported bug
Messages
msg985 (view) Author: Nobody/Anonymous (nobody) Date: 2005-06-17.21:28:14
When using "-C NONE" to create a .java file without compiling 
it, jythonc dies with a "java.io.FileNotFoundException". 
 
I am attaching a diff file showing a fix for this problem. 
 
This bug is in version 2.1 final. 
msg986 (view) Author: Khalid Zuberi (kzuberi) Date: 2005-12-09.19:33:25
Logged In: YES 
user_id=18288


I believe this is already fixed in CVS, by the following change:
 http://cvs.sourceforge.net/viewcvs.py/jython/jython/Tools/jythonc/main.py?r1=2.14&r2=2.15

- kz
msg3832 (view) Author: Philip Jenvey (pjenvey) Date: 2008-11-23.05:08:29
was fixed a long time ago, closing out
History
Date User Action Args
2008-11-23 05:08:29pjenveysetstatus: open -> closed
resolution: fixed
messages: + msg3832
nosy: + pjenvey
2005-06-17 21:28:14anonymouscreate